# Uses of Class
org.apache.avro.util.ClassSecurityValidator.Builder

Packages that use ClassSecurityValidator.Builder
Package
Description
org.apache.avro.util
Common utility classes.

## Uses of ClassSecurityValidator.Builder in org.apache.avro.util

Methods in org.apache.avro.util that return ClassSecurityValidator.Builder
Modifier and Type
Method
Description
`ClassSecurityValidator.Builder`
ClassSecurityValidator.Builder.`add(Class<?> clazz)`
`ClassSecurityValidator.Builder`
ClassSecurityValidator.Builder.`add(String className)`
`static ClassSecurityValidator.Builder`
ClassSecurityValidator.`builder()`
Creates a builder for a `ClassSecurityValidator` that validates the trusted classes by whitelisting their names.